[arch-commits] Commit in claws-mail-extra-plugins/repos (2 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun May 24 10:39:49 EDT 2009


    Date: Sunday, May 24, 2009 @ 10:39:49
  Author: andyrtr
Revision: 39998

Merged revisions 39996 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/claws-mail-extra-plugins/trunk

........
  r39996 | andyrtr | 2009-05-24 16:33:29 +0200 (So, 24 Mai 2009) | 2 lines
  
  upgpkg: claws-mail-extra-plugins 3.7.1-2
      ship tnef_parse plugin (#14762) and added a cvs shot of the new fancy webkit html plugin
........

Modified:
  claws-mail-extra-plugins/repos/extra-i686/	(properties)
  claws-mail-extra-plugins/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   40 ++++++++++++++++++++++++++++++----------
 1 file changed, 30 insertions(+), 10 deletions(-)


Property changes on: claws-mail-extra-plugins/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /claws-mail-extra-plugins/trunk:1-29238
   + /claws-mail-extra-plugins/trunk:1-39997

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-24 14:34:33 UTC (rev 39997)
+++ extra-i686/PKGBUILD	2009-05-24 14:39:49 UTC (rev 39998)
@@ -4,35 +4,55 @@
 
 pkgname=claws-mail-extra-plugins
 pkgver=3.7.1
-pkgrel=1
+pkgrel=2
+_cvsdate=20090524
 pkgdesc="Extra plugins for claws-mail"
 url="http://www.claws-mail.org/plugins.php?branch=EXT"
 license=('GPL3')
 arch=('i686' 'x86_64')
 depends=('claws-mail>=3.7.1')
-makedepends=('make' 'bc' 'perl>=5.10.0-4' 'libgtkhtml' 'libnotify' 'libxml2' 'curl')
+makedepends=('make' 'bc' 'perl>=5.10.0-4' 'libgtkhtml' 'libnotify' 'libxml2' 'curl' 'libytnef' 'cvs' 'libwebkit')
 optdepends=('libgtkhtml: for gtkhtml2_viewer plugin'
             'perl: for perl plugin'
             'libnotify: for notification plugin'
             'libxml2: for gtkhtml2_viewer and rssyl plugins'
             'curl: for gtkhtml2_viewer, vcalendar, rssyl and spamreport plugins'
-            'libarchive: for archive plugin')
-conflicts=('claws-gtkhtml2_viewer' 'claws-mail-acpinotifier-plugin' 'sylpheed-claws-gtkhtml2-plugin' 'sylpheed-claws-rssyl-plugin' 'sylpheed-claws-extra-plugins')
+            'libarchive: for archive plugin'
+            'libytnef: for tnef_parse plugin'
+            'libwebkit: for the fancy webkit html plugin')
+conflicts=('claws-gtkhtml2_viewer' 'claws-mail-acpinotifier-plugin' 'sylpheed-claws-gtkhtml2-plugin' 'sylpheed-claws-rssyl-plugin' 'sylpheed-claws-extra-plugins' 'claws-tnef-plugin' 'claws-webkit-plugin-svn' 'claws-mayflower-plugin-svn')
 replaces=('sylpheed-claws-extra-plugins')
 options=('!libtool')
-source=("http://downloads.sourceforge.net/sourceforge/sylpheed-claws/claws-mail-extra-plugins-$pkgver.tar.bz2")
-md5sums=('a483d0554365c2409f8921eefcb69a6f')
+source=(http://downloads.sourceforge.net/sourceforge/sylpheed-claws/claws-mail-extra-plugins-$pkgver.tar.bz2
+	ftp://ftp.archlinux.org/other/claws-mail/claws-mail-extra-plugin-fancy-${_cvsdate}.tar.bz2)
+md5sums=('a483d0554365c2409f8921eefcb69a6f'
+         'a13a19aa4fb0274fee5e537825d78e1b')
 
 build() {
-    # remove an unwanted plugin nobody needs. it would pull ytnef dependency
-    rm -rf $startdir/src/claws-mail-extra-plugins-$pkgver/tnef_parse*
+  # for the new fency webkit plugin not yet released
+  # cvs checkout
+# mkdir -p ${srcdir}/$pkgname-fancy
+# cd ${srcdir}/$pkgname-fancy
+# export CVS_RSH=ssh
+# cvs -z3 -d:ext:cvs at scm.dotsrc.org:/srv/cvs/claws-mail co -r gtk2 plugins/fancy
+# mv plugins/fancy ./fancy-cvs-${_cvsdate}
+# tar -cvjf ${startdir}/claws-mail-extra-plugin-fancy-${_cvsdate}.tar.bz2 ../$pkgname-fancy/fancy-cvs-${_cvsdate}
+# return 1
 
-    cd "$startdir/src/claws-mail-extra-plugins-$pkgver"
+  # the new unreleased fancy plugin
+  cd ${srcdir}/$pkgname-fancy/fancy-cvs-${_cvsdate}
+  ./autogen.sh --prefix=/usr --disable-static || return 1
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
+
+
+  # the others
+    cd "${srcdir}/claws-mail-extra-plugins-$pkgver"
     for dir in *; do
         # Continue if it is not a directory or the synce plugin
         [ ! -d "$dir" ] && continue
         echo "$dir" | grep synce >/dev/null 2>/dev/null && continue
-        # Else, compile
+         # Else, compile
         cd "$dir"
         [ -e "$configured_file" ] || \
             ./configure --prefix=/usr --disable-static || return 1



More information about the arch-commits mailing list